<?php

namespace CmBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * AplicacionExamenUnico
 *
 * @ORM\Table(name="aplicacion_examen_unico")
 * @ORM\Entity
 */
class AplicacionExamenUnico
{
    /**
     * @var integer
     *
     * @ORM\Column(name="ide_ap_exa_uni", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $ideApExaUni;

    /**
     * @var string
     *
     * @ORM\Column(name="numero_aplicacion", type="string", length=100, nullable=false)
     */
    private $numeroAplicacion;

    /**
     * @var integer
     *
     * @ORM\Column(name="carpeta", type="integer", nullable=false)
     */
    private $carpeta;

    /**
     * @var string
     *
     * @ORM\Column(name="color", type="string", length=20, nullable=false)
     */
    private $color;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="fecha_aplicacion", type="date", nullable=false)
     */
    private $fechaAplicacion;

    /**
     * @var string
     *
     * @ORM\Column(name="mes_publicacion", type="string", length=50, nullable=true)
     */
    private $mesPublicacion = 'NULL';

    /**
     * @var integer
     *
     * @ORM\Column(name="anio_publicacion", type="integer", nullable=true)
     */
    private $anioPublicacion = 'NULL';

    /**
     * @var string
     *
     * @ORM\Column(name="sistema", type="string", length=30, nullable=true)
     */
    private $sistema = 'NULL';

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="hora_inicio", type="time", nullable=true)
     */
    private $horaInicio = 'NULL';

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="hora_fin", type="time", nullable=true)
     */
    private $horaFin = 'NULL';

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="publicacion_resultados", type="date", nullable=true)
     */
    private $publicacionResultados = 'NULL';

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="fecha_inicial", type="date", nullable=true)
     */
    private $fechaInicial = 'NULL';

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="fecha_final", type="date", nullable=true)
     */
    private $fechaFinal = 'NULL';

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="fecha_entrega_certificado", type="date", nullable=true)
     */
    private $fechaEntregaCertificado = 'NULL';

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="fecha_limite_pago_examen", type="date", nullable=true)
     */
    private $fechaLimitePagoExamen = 'NULL';

    /**
     * @var integer
     *
     * @ORM\Column(name="estatus", type="integer", nullable=false)
     */
    private $estatus;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="fec_mov", type="date", nullable=false)
     */
    private $fecMov;



    /**
     * Get ideApExaUni
     *
     * @return integer
     */
    public function getIdeApExaUni()
    {
        return $this->ideApExaUni;
    }

    /**
     * Set numeroAplicacion
     *
     * @param string $numeroAplicacion
     *
     * @return AplicacionExamenUnico
     */
    public function setNumeroAplicacion($numeroAplicacion)
    {
        $this->numeroAplicacion = $numeroAplicacion;

        return $this;
    }

    /**
     * Get numeroAplicacion
     *
     * @return string
     */
    public function getNumeroAplicacion()
    {
        return $this->numeroAplicacion;
    }

    /**
     * Set carpeta
     *
     * @param integer $carpeta
     *
     * @return AplicacionExamenUnico
     */
    public function setCarpeta($carpeta)
    {
        $this->carpeta = $carpeta;

        return $this;
    }

    /**
     * Get carpeta
     *
     * @return integer
     */
    public function getCarpeta()
    {
        return $this->carpeta;
    }

    /**
     * Set color
     *
     * @param string $color
     *
     * @return AplicacionExamenUnico
     */
    public function setColor($color)
    {
        $this->color = $color;

        return $this;
    }

    /**
     * Get color
     *
     * @return string
     */
    public function getColor()
    {
        return $this->color;
    }

    /**
     * Set fechaAplicacion
     *
     * @param \DateTime $fechaAplicacion
     *
     * @return AplicacionExamenUnico
     */
    public function setFechaAplicacion($fechaAplicacion)
    {
        $this->fechaAplicacion = $fechaAplicacion;

        return $this;
    }

    /**
     * Get fechaAplicacion
     *
     * @return \DateTime
     */
    public function getFechaAplicacion()
    {
        return $this->fechaAplicacion;
    }

    /**
     * Set mesPublicacion
     *
     * @param string $mesPublicacion
     *
     * @return AplicacionExamenUnico
     */
    public function setMesPublicacion($mesPublicacion)
    {
        $this->mesPublicacion = $mesPublicacion;

        return $this;
    }

    /**
     * Get mesPublicacion
     *
     * @return string
     */
    public function getMesPublicacion()
    {
        return $this->mesPublicacion;
    }

    /**
     * Set anioPublicacion
     *
     * @param integer $anioPublicacion
     *
     * @return AplicacionExamenUnico
     */
    public function setAnioPublicacion($anioPublicacion)
    {
        $this->anioPublicacion = $anioPublicacion;

        return $this;
    }

    /**
     * Get anioPublicacion
     *
     * @return integer
     */
    public function getAnioPublicacion()
    {
        return $this->anioPublicacion;
    }

    /**
     * Set sistema
     *
     * @param string $sistema
     *
     * @return AplicacionExamenUnico
     */
    public function setSistema($sistema)
    {
        $this->sistema = $sistema;

        return $this;
    }

    /**
     * Get sistema
     *
     * @return string
     */
    public function getSistema()
    {
        return $this->sistema;
    }

    /**
     * Set horaInicio
     *
     * @param \DateTime $horaInicio
     *
     * @return AplicacionExamenUnico
     */
    public function setHoraInicio($horaInicio)
    {
        $this->horaInicio = $horaInicio;

        return $this;
    }

    /**
     * Get horaInicio
     *
     * @return \DateTime
     */
    public function getHoraInicio()
    {
        return $this->horaInicio;
    }

    /**
     * Set horaFin
     *
     * @param \DateTime $horaFin
     *
     * @return AplicacionExamenUnico
     */
    public function setHoraFin($horaFin)
    {
        $this->horaFin = $horaFin;

        return $this;
    }

    /**
     * Get horaFin
     *
     * @return \DateTime
     */
    public function getHoraFin()
    {
        return $this->horaFin;
    }

    /**
     * Set publicacionResultados
     *
     * @param \DateTime $publicacionResultados
     *
     * @return AplicacionExamenUnico
     */
    public function setPublicacionResultados($publicacionResultados)
    {
        $this->publicacionResultados = $publicacionResultados;

        return $this;
    }

    /**
     * Get publicacionResultados
     *
     * @return \DateTime
     */
    public function getPublicacionResultados()
    {
        return $this->publicacionResultados;
    }

    /**
     * Set fechaInicial
     *
     * @param \DateTime $fechaInicial
     *
     * @return AplicacionExamenUnico
     */
    public function setFechaInicial($fechaInicial)
    {
        $this->fechaInicial = $fechaInicial;

        return $this;
    }

    /**
     * Get fechaInicial
     *
     * @return \DateTime
     */
    public function getFechaInicial()
    {
        return $this->fechaInicial;
    }

    /**
     * Set fechaFinal
     *
     * @param \DateTime $fechaFinal
     *
     * @return AplicacionExamenUnico
     */
    public function setFechaFinal($fechaFinal)
    {
        $this->fechaFinal = $fechaFinal;

        return $this;
    }

    /**
     * Get fechaFinal
     *
     * @return \DateTime
     */
    public function getFechaFinal()
    {
        return $this->fechaFinal;
    }

    /**
     * Set fechaEntregaCertificado
     *
     * @param \DateTime $fechaEntregaCertificado
     *
     * @return AplicacionExamenUnico
     */
    public function setFechaEntregaCertificado($fechaEntregaCertificado)
    {
        $this->fechaEntregaCertificado = $fechaEntregaCertificado;

        return $this;
    }

    /**
     * Get fechaEntregaCertificado
     *
     * @return \DateTime
     */
    public function getFechaEntregaCertificado()
    {
        return $this->fechaEntregaCertificado;
    }

    /**
     * Set fechaLimitePagoExamen
     *
     * @param \DateTime $fechaLimitePagoExamen
     *
     * @return AplicacionExamenUnico
     */
    public function setFechaLimitePagoExamen($fechaLimitePagoExamen)
    {
        $this->fechaLimitePagoExamen = $fechaLimitePagoExamen;

        return $this;
    }

    /**
     * Get fechaLimitePagoExamen
     *
     * @return \DateTime
     */
    public function getFechaLimitePagoExamen()
    {
        return $this->fechaLimitePagoExamen;
    }

    /**
     * Set estatus
     *
     * @param integer $estatus
     *
     * @return AplicacionExamenUnico
     */
    public function setEstatus($estatus)
    {
        $this->estatus = $estatus;

        return $this;
    }

    /**
     * Get estatus
     *
     * @return integer
     */
    public function getEstatus()
    {
        return $this->estatus;
    }

    /**
     * Set fecMov
     *
     * @param \DateTime $fecMov
     *
     * @return AplicacionExamenUnico
     */
    public function setFecMov($fecMov)
    {
        $this->fecMov = $fecMov;

        return $this;
    }

    /**
     * Get fecMov
     *
     * @return \DateTime
     */
    public function getFecMov()
    {
        return $this->fecMov;
    }
}
